services:
    _defaults:
        autowire: true
        autoconfigure: true

    Chill\DocStoreBundle\Repository\:
        resource: "../Repository/"
        tags:
            - { name: doctrine.repository_service }

    Chill\DocStoreBundle\Security\Authorization\:
        resource: "./../Security/Authorization"

    Chill\DocStoreBundle\Workflow\:
        resource: './../Workflow/'

    Chill\DocStoreBundle\Security\:
        resource: './../Security'
        autoconfigure: true
        autowire: true

    Chill\DocStoreBundle\Serializer\Normalizer\:
        resource: '../Serializer/Normalizer/'
        tags:
            - { name: serializer.normalizer, priority: 16 }

    Chill\DocStoreBundle\Service\:
        resource: '../Service/'

    Chill\DocStoreBundle\GenericDoc\Manager:
        arguments:
            $providersForAccompanyingPeriod: !tagged_iterator chill_doc_store.generic_doc_accompanying_period_provider
            $providersForPerson: !tagged_iterator chill_doc_store.generic_doc_person_provider
            $genericDocNormalizers: !tagged_iterator chill_doc_store.generic_doc_metadata_normalizer

    Chill\DocStoreBundle\GenericDoc\ManagerInterface:
        alias: Chill\DocStoreBundle\GenericDoc\Manager

    Chill\DocStoreBundle\GenericDoc\Twig\GenericDocExtension: ~

    Chill\DocStoreBundle\GenericDoc\Twig\GenericDocExtensionRuntime:
        arguments:
            $renderers: !tagged_iterator chill_doc_store.generic_doc_renderer

    Chill\DocStoreBundle\GenericDoc\Providers\:
        resource: '../GenericDoc/Providers/'

    Chill\DocStoreBundle\GenericDoc\Renderer\:
        resource: '../GenericDoc/Renderer/'

    Chill\DocStoreBundle\GenericDoc\Normalizer\:
        resource: '../GenericDoc/Normalizer/'

    Chill\DocStoreBundle\Validator\:
        resource: '../Validator'

    Chill\DocStoreBundle\AsyncUpload\Driver\:
        resource: '../AsyncUpload/Driver/'

    Chill\DocStoreBundle\AsyncUpload\Driver\LocalStorage\TempUrlLocalStorageGenerator:
        arguments:
            $secret: '%kernel.secret%'

    Chill\DocStoreBundle\AsyncUpload\Templating\:
        resource: '../AsyncUpload/Templating/'
